SLEEP(3R)

NAME
sleep, nap - suspend program execution

SYNOPSIS
void sleep (nticks)

void nap (nticks)

unsigned int nticks;

DESCRIPTION
The nap function busy loops for nticks ticks of the 60 Hz internal clock. To avoid interfering with screen refresh, programs drawing rapidly changing scenes should nap for a couple ticks between updates to synchronize the display and memory.

The sleep function is identical to nap except that it gives up the processor for the interval. Sleep should be used in preference to nap unless there is some reason why other applications should not be allowed to run. A process that never calls wait or sleep can lock out all other 630 MTG processes.

SEE ALSO
resources(3R).